C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA(最近はPMillマクロとFusion360APIが多い)

Fusion360 ver2.0.7402 API デバッグ調子悪い

こちらに記載したのですが、調子悪いんです。
socket.timeout: timed out - Autodesk Community

昨日もアドインを作成していても、とにかく調子悪い。
こちらのコードも自信無いだけに、原因がわからず。

ver2.0.7402になってからは、多くのアドインが機能しなくなっている
状況の様です。 2/3のUpdateまで待て! との事。
Betreff: My custom ToolbarControls are disabled in MANUFACTURE :( - Autodesk Community



ついでに、英語が理解出来ず勘違いして作ったスクリプト
f:id:kandennti:20200128130933p:plain
ここのホーム(デフォルト状態)を押した際のビューの位置をAPI再現。

#Fusion360API Python script

import adsk.core, adsk.fusion, traceback

def run(context):
    ui = None
    try:
        app  :adsk.core.Application = adsk.core.Application.get()
        ui   :adsk.core.UserInterface = app.userInterface

        execHomeViewLike()

    except:
        if ui:
            ui.messageBox('Failed:\n{}'.format(traceback.format_exc()))

def execHomeViewLike():
    app :adsk.core.Application = adsk.core.Application.get()
    pref_Up = app.preferences.generalPreferences.defaultModelingOrientation

    pnt3d = adsk.core.Point3D
    vec3d = adsk.core.Vector3D
    Z_UP = adsk.core.DefaultModelingOrientations.ZUpModelingOrientation

    vp = app.activeViewport
    vp.isSmoothTransition = True
    
    cam = vp.camera
    cam.target = pnt3d.create(0,0,0)    
    if pref_Up == Z_UP:
        cam.eye = pnt3d.create(1,-1,1)
        cam.upVector = vec3d.create(0,0,1)
    else:
        cam.eye = pnt3d.create(1,1,1)
        cam.upVector = vec3d.create(0,1,0)

    vp.camera = cam
    vp.fit()

全くと言って良いほど、使い道が分からず・・・。

こちらのCamera.viewOrientationプロパティを使うと出来るのかな?
と思って試したのですが、現状のキューブの向きに対して右やら左やら
が決まるようで、意図しない向きになることがシバシバ。